Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160630 - Missing BuildReq in cvs
Summary: Missing BuildReq in cvs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cvs
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Martin Stransky
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 08:07 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-21 11:06:52 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-16 08:07:05 UTC
During a testbuild of cvs-1.11.17-5 in mock, the following problem in the
buildprocess manifests itself:

checking for vim... no
checking for vi... no
checking for emacs... no
checking for nano... no
checking for pico... no
checking for edit... no
configure: error:
    Failed to find a text file editor.  CVS cannot be compiled
    without a default log message editor.  Searched for
    `vim vi emacs nano pico edit'.  Try `configure --with-editor'.
error: Bad exit status from /var/tmp/rpm-tmp.148 (%build)

It seems cvs won't build without an installed editor.
Thus it would be good if the specfile either contains a BuildRequire for an
editor or the --with-editor command is used during the %configure phase.
As the current cvs builds from redhat use vim as the standard editor, the latter
option would probably be the easiest choice.


Note You need to log in before you can comment on or make changes to this bug.